petsc-3.12.1 2019-10-22
Report Typos and Errors

# PCPythonSetType

Initalize a PC object implemented in Python.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCPythonSetType(PC pc,const char pyname[])

Collective on PC

### Input Parameter

| pc | - the preconditioner (PC) context.
| pyname | - full dotted Python name [package].module[.{class|function}]

### Options Database Key

-pc_python_type <pyname> -

### See Also

PCCreate(), PCSetType(), PCPYTHON, PetscPythonInitialize()

### Level

intermediate

### Location

src/ksp/pc/impls/python/pythonpc.c

### Examples

src/ksp/ksp/examples/tutorials/ex100.c.html
src/ksp/ksp/examples/tutorials/ex100f.F90.html
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages